Subject: Re: [DNSOP] question regarding draft-ietf-dnsop-aname: aname section & truncation

From: Matthijs Mekking <[email-masked]>
Date: Mon, 3 Jun 2019 11:05:46 +0200

Hi Klaus,

On 5/31/19 1:13 PM, Klaus Malorny wrote:
> 
> Hi all,
> 
> thanks for answering my recent questions so far, but I have to bother
> you with another (maybe stupid?) issue.
> 
> I saw that for regular address queries, you moved the ANAME record from
> the "answer" section to the "additional" section in the -02 draft. I
> tried to figure out why, but did not find an answer in the document
> itself or in the github issues.
> 
> This might by a problem, at least theoretically. RFC 2181, section 9,
> says that records may be removed from the additional section without
> setting the TC bit if the message would get too large otherwise. So the
> ANAME record could get lost in some circumstances. I have not checked
> whether this could occur in real, with very long query names, a lot of
> address records, authority records and maybe with signatures (which
> would allow larger responses due to the DNSSEC requirements on the other
> hand).

There is an appendix that discusses this:

What should be in the additional section: ANAME makes
sense, but differs from CNAME logic (where the CNAME is in the answer
section).

And should additional target records that match the query type go in the
answer section? From experience with DNAME there is a risk of interoper
problems if unexpected records are put in the answer section.

There was indeed no github issue for it, so I created it:
https://github.com/each/draft-aname/issues/62

Please dicuss.

Best regards,

Matthijs

> 
> Regards,
> 
> Klaus
> 
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop